# tcp_pcb_listen Struct Reference

`#include <tcp.h>`

## Data Fields

tcp_pcb_listen * | next
enum tcp_state | state
void * | callback_arg
void(* | accept )(void *arg, struct tcp_pcb *newpcb)
ip_addr | local_ip
uInt16 | local_port

## Field Documentation

void(* tcp_pcb_listen::accept)(void *arg, struct tcp_pcb *newpcb)

void* tcp_pcb_listen::callback_arg

struct ip_addr tcp_pcb_listen::local_ip

uInt16 tcp_pcb_listen::local_port

struct tcp_pcb_listen* tcp_pcb_listen::next

enum tcp_state tcp_pcb_listen::state

The documentation for this struct was generated from the following file:

- tcp.h